# Community Projects

We appreciate all the work being done by the community around Moya. If you would like to have your work featured in the list below, simply create a pull request adding it to the list (if there is no fitting headline, please consider adding one).

## Extensions

- [Moya-ObjectMapper](https://github.com/ivanbruel/Moya-ObjectMapper) - ObjectMapper bindings for Moya for easier JSON serialization
- [Moya-SwiftyJSONMapper](https://github.com/AvdLee/Moya-SwiftyJSONMapper) - SwiftyJSON bindings for Moya for easier JSON serialization
- [Moya-Argo](https://github.com/wattson12/Moya-Argo) - Argo bindings for Moya for easier JSON serialization
- [Moya-ModelMapper](https://github.com/sunshinejr/Moya-ModelMapper) - ModelMapper bindings for Moya for easier JSON serialization
- [Moya-Gloss](https://github.com/spxrogers/Moya-Gloss) - Gloss bindings for Moya for easier JSON serialization
- [Moya-JASON](https://github.com/DroidsOnRoids/Moya-JASON) - JASON bindings for Moya for easier JSON serialization
- [Moya-JASONMapper](https://github.com/AvdLee/Moya-JASONMapper) - JASON bindings for Moya for easier JSON serialization
- [Moya-Unbox](https://github.com/RyogaK/Moya-Unbox) - Unbox bindings for Moya for easier JSON serialization
- [MoyaSugar](https://github.com/devxoul/MoyaSugar) – Syntactic sugar for Moya
- [Moya-EVReflection](https://github.com/evermeer/EVReflection/tree/master/Source/Alamofire/Moya) - EVReflection bindings for Moya for easier JSON serialization (including subspecs for [RxSwift](https://github.com/evermeer/EVReflection/tree/master/Source/Alamofire/Moya/RxSwift) and [ReactiveCocoa](https://github.com/evermeer/EVReflection/tree/master/Source/Alamofire/Moya/ReactiveCocoa))
- [Moya-Marshal](https://github.com/JARMourato/Moya-Marshal) - Marshal bindings for Moya for easier JSON serialization
- [SwiftMoyaCodeGenerator](https://github.com/narlei/SwiftMoyaCodeGenerator) - Extension for [Paw Mac App](https://paw.cloud) to generate Moya files based in rest documentation.
- [Moya-Integration-Testing](https://github.com/wvteijlingen/moya-integration-testing) - Flexible integration testing of your Moya network requests using XCTest
- [Moya-Stubber](https://github.com/wvteijlingen/moya-stubber) - Speed up development and testing by adding an autogenerated network stubbing panel to your app.

## Libraries

- [NetClient/Moya](https://github.com/intelygenz/NetClient-iOS) - Versatile HTTP networking library written in Swift 3.

## Applications

- [Drrrible](https://github.com/devxoul/Drrrible) - Dribbble for iOS using ReactorKit
- [Eidolon](https://github.com/artsy/eidolon) - The Artsy Auction Kiosk App
- [Insights for Instagram](https://github.com/adimango/insights-for-instagram) - A simple iOS Instagram's media insights App written in Swift 4
- [Papr](https://github.com/jdisho/Papr/tree/papr-moya-version) - An Unsplash app for iOS.
- [SwiftHub](https://github.com/khoren93/SwiftHub) - Reactive Github iOS client written in RxSwift and MVVM.
- [GitTime](https://github.com/87kangsw/GitTime) - GitHub iOS client using ReactorKit and Moya.
